LINUX.ORG.RU

equery depends ruby?

Deleted ()

equery depends ruby?

anonymous ()
Ответ на: комментарий от kostik87

Зависимости это то, что я обвёл красным?

Т.е. получается, что ruby вытягивается libyaml'ом, но в его ебилде нет никаких упоминаний о ruby:

# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libyaml/libyaml-0.1.4.ebuild,v 1.15 2013/01/28 14:57:41 aballier Exp $

EAPI=4

inherit autotools-utils eutils libtool

MY_P="${P/lib}"

DESCRIPTION="YAML 1.1 parser and emitter written in C"
HOMEPAGE="http://pyyaml.org/wiki/LibYAML"
SRC_URI="http://pyyaml.org/download/${PN}/${MY_P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc examples test static-libs"

S="${WORKDIR}/${MY_P}"

DOCS="README"

src_prepare() {
	# conditionally remove tests
	if ! use test; then
		sed -i -e 's: tests::g' Makefile* || die
	fi
	elibtoolize  # for FreeMiNT
}

src_install() {
	autotools-utils_src_install
	use doc && dohtml -r doc/html/.
	if use examples ; then
		docompress -x /usr/share/doc/${PF}/examples
		insinto /usr/share/doc/${PF}/examples
		doins tests/example-*.c
	fi
}
fragmentor ()
Ответ на: комментарий от fragmentor

Да и непонятно, с чего вдруг этот libyaml устаналиваться захотел.

fragmentor ()

lvm2 используется? Ежели да, то это новая версия sys-block/thin-provisioning-tools была переписана с сей на рубях.
Лечится так:

$ grep lvm2 /etc/portage/package.use
# lvm2
sys-fs/lvm2 -thin
После этого lvm2 потеряет эту фичу, но мне она и не нужна.

Lavos ★★★★★ ()
Последнее исправление: Lavos (всего исправлений: 1)
Ответ на: комментарий от fragmentor

Смотреть надо в обратной последовательности, это dev-lang/ruby тянет dev-libs/libyaml из-за флага yaml. Смотрите кто тянет dev-ruby/rake .

Но вам уже ответили ниже.

kostik87 ★★★★★ ()
Ответ на: комментарий от fragmentor

юзерспейс
Чтобы писать низкоуровневое системное приложение на ruby, надо быть на всю башку жахнутым.

Здесь под юзерспейсом подразумевается прикладная программа, а не системная. А она таки может быть написана на руби

//не рубист, с руби даже не на «вы», а на «о боже, что это?»

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 1)
Ответ на: комментарий от x0r

Хватит ваших упоротых понями отговорок: до сих пор не осилили сделать высокоуровневый компилируемый язык, быстрый, без жрущего ресурсы jit и прочих оверхедов в рантайме — жрите цпп, а на рубипистонах публично широко используемый софт будете в детском саду воспитателю во влажных мечтах писать. Ну или на похапе за доширак.

anonymous ()

Сделай уже USE="-*" + package.use, не мучайся.

anonymous ()
Ответ на: комментарий от Pinkbyte

юзерспейсом подразумевается прикладная программа, а не системная

Холодный а не красный или утром.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.